<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:p="http://primefaces.org/ui">

    <composite:interface>
    </composite:interface>
    <composite:implementation>
        <h:outputStylesheet name="css/background-foret-styles.css" />
        <p class="intro">
            <h:outputFormat value="#{index.PARAM_MSG_WELCOME}" styleClass="header"
                            escape="false"
                            >
                <f:param value="#{site.PARAM_MSG_ORE_FULL_NAME}" />
            </h:outputFormat>
        </p>

        <p class="intro">
            <h:outputFormat value="#{index.PARAM_MSG_WELCOME_INTRO}"
                            escape="false"
                            >
                <f:param value="#{site.PARAM_MSG_ORE_INTRO}" />
            </h:outputFormat>
        </p>

        <p class="intro">
            <h:outputFormat value="#{index.PARAM_MSG_DATA_ACCESS}"
                            styleClass="header" escape="false"
                            />
        </p>
        <h:form styleClass="intro">
            <h:graphicImage name="search_results.png" library="images" />
            <h:commandLink action="synthesis" immediate="true">#{index.PARAM_MSG_SYNTHESIS_LINK}</h:commandLink>
            <h:outputFormat value="#{index.PARAM_MSG_SYNTHESIS_TEXT}"
                            escape="false" />
        </h:form>

        <p class="intro">#{index.PARAM_MSG_SYNTHESIS_INTRO}</p>

        <h:form id="identificationForm" styleClass="intro">
            <h:panelGroup styleClass="panelControlsWrapper launchWrapper"
                          layout="block">
                <h:panelGroup styleClass="panelControls panelControlsLaunch">
                    <h:panelGroup styleClass="control">
                        <p:commandLink onclick="PF('loginPopup').show()"
                                       process="@none"
                                       update="inactiveUserPanel,inactiveUserEmail,incorectIdentificationPanel">
                            <p:graphicImage value="#{resource['images/login.png']}" />
                            <h:outputText value="#{index.PARAM_MSG_CONNECT}" />
                        </p:commandLink>
                    </h:panelGroup>
                </h:panelGroup>

                <h:panelGroup styleClass="panelControls panelControlsLaunch">
                    <h:panelGroup styleClass="control">
                        <h:commandLink action="createProfile" immediate="true">
                            <p:graphicImage value="#{resource['images/download.png']}" />
                            <h:outputText value="#{index.PARAM_MSG_CREATE}" />
                        </h:commandLink>
                    </h:panelGroup>
                </h:panelGroup>
                <h:panelGroup id="incorectIdentificationPanel"
                              styleClass="alertconnect"
                              rendered="#{uiIdentification.incorectIdentification}">
                    <p:graphicImage value="#{resource['images/warning.png']}" />
                    <h:outputText rendered="#{uiIdentification.incorectIdentification}"
                                  value="#{index.PARAM_MSG_BAD_IDENTIFICATION}" />
                </h:panelGroup>
            </h:panelGroup>
            <h:panelGroup id="inactiveUserPanel" styleClass="inactiveUser"
                          rendered="#{uiIdentification.inactiveUser}" layout="block">
                <h:panelGroup
                    rendered="#{uiIdentification.inactiveUser}">
                    <h:panelGroup styleClass="control">
                        <p:graphicImage value="#{resource['images/warning.png']}"
                                        width="20" />
                        <h:outputFormat value="#{index.PARAM_MSG_NON_ACTIVE_USER}"
                                        escape="false">
                            <f:param value="#{uiIdentification.login}" />
                        </h:outputFormat>
                        <h:inputText id="inactiveUserEmail"
                                     value="#{uiIdentification.email}"
                                     rendered="#{uiIdentification.inactiveUser}"
                                     styleClass="inactiveProfilEmail" >
                            <p:ajax process="@this" event="keyup" />
                        </h:inputText>
                        <h:panelGroup styleClass="panelControls panelControlsLaunch inactiveProfilButton">
                            <h:panelGroup styleClass="control">
                                <p:commandLink action="#{uiIdentification.sendValidationEmail}"
                                                 immediate="true"
                                               process="@this,#{p:component('inactiveUserPanel')}"
                                                 onclick="alert('#{index.PARAM_MSG_MAIL_SENDED_TO}' + $(this).parents('.inactiveUser').find('input:text').attr('value'));
                                                         $(this).parents('.inactiveUser').hide();
                                                         return true;"
                                               update="#{p:component('inactiveUserPanel')},#{p:component('inactiveUserEmail')},#{p:component('incorectIdentificationPanel')}">
                                    #{index.PARAM_MSG_RECEIVE}
                                </p:commandLink>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>
            </h:panelGroup>
        </h:form>

        <p class="intro">
            <h:outputFormat value="#{index.PARAM_MSG_DATA_USE}"
                            styleClass="header" />
        </p>
        <h:form styleClass="intro">
            <h:outputFormat value="#{index.PARAM_MSG_DATA_USE_TEXT_1}">
                <f:param value="#{site.PARAM_MSG_ORE_NAME}" />
            </h:outputFormat>
            <h:commandLink action="charter" immediate="true">#{index.PARAM_MSG_CHARTER}</h:commandLink>
            <h:outputText value="#{index.PARAM_MSG_DATA_USE_TEXT_2}" />
        </h:form>
        <h:form styleClass="intro">
            <h:outputText value="#{index.PARAM_MSG_DOCS}" escape="false" />
            <h:outputLink value="./resources/manual/manual.pdf"
                          id="downloadButton"
                          >
                <h:outputText value="#{index.PARAM_MSG_DOC_NAME}" escape="false" />
            </h:outputLink>
        </h:form>
        <p class="intro">
            <h:outputFormat value="#{index.PARAM_MSG_MORE}" styleClass="header"
                            escape="false"
                            />
                            <!--            <h:outputText value="#{site.PARAM_MSG_MORE_DETAILS}" />-->
        </p>
        <h:form styleClass="intro">
            <h:outputText value="#{index.PARAM_MSG_MORE_INFO}" escape="false" />
            <h:outputLink value="#{site.PARAM_MSG_ORE_LINK}" id="moreInfos"
                          target="_blank"
                          >
                <h:outputText value="#{index.PARAM_MSG_WEBSITE}" escape="false" />
            </h:outputLink>
        </h:form>
    </composite:implementation>
</html>